# Rate Limits and Guardrails

In order to provide reliable service for all of our customers and API load predictability for our device partners, we have a number of rate limits and guardrails in place.

## Rate Limits

For requests with rate limits, exceeding these limits results in the corresponding API calls failing with a `429 Too Many Requests` response. You must then retry your request after the appropriate amount of time.

We enforce the following rate limits on a per-device basis:

<table><thead><tr><th width="243">Operation</th><th>Limit</th></tr></thead><tbody><tr><td><a href="https://docs.seam.co/latest/api/access_codes/create">Create an access code</a></td><td>10 access code creations per minute</td></tr><tr><td><a href="https://docs.seam.co/latest/api/access_codes/update">Update an access code</a></td><td>10 access code updates per minute</td></tr><tr><td><a href="https://docs.seam.co/latest/api/access_codes/delete">Delete an access code</a></td><td>20 access code deletions per minute</td></tr><tr><td><a href="https://docs.seam.co/latest/api/locks/lock_door">Lock a lock</a></td><td>15 lock requests per minute</td></tr><tr><td><a href="https://docs.seam.co/latest/api/locks/unlock_door">Unlock a lock</a></td><td>15 unlock requests per minute</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/rate-limits-and-guardrails.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
